# RTP_JitterBuffer Class Reference

`#include <jitter.h>`

Inheritance diagram for RTP_JitterBuffer:

List of all members.

## Public Member Functions

| RTP_JitterBuffer (RTP_Session &session, unsigned minJitterDelay, unsigned maxJitterDelay, unsigned timeUnits=8, PINDEX stackSize=30000)
virtual PBoolean | OnReadPacket (RTP_DataFrame &frame, PBoolean loop)

## Protected Attributes

RTP_Session & | session

## Detailed Description

A descendant of the OpalJitterBuffer that reads RTP_DataFrame instances from the RTP_Sessions

## Constructor & Destructor Documentation

RTP_JitterBuffer::RTP_JitterBuffer | ( | RTP_Session & | session,
|  | unsigned | minJitterDelay,
|  | unsigned | maxJitterDelay,
|  | unsigned | timeUnits = `8`,
|  | PINDEX | stackSize = `30000` |
| ) |  |  |

Parameters:

  session | Associated RTP session tor ead data from
  minJitterDelay | Minimum delay in RTP timestamp units
  maxJitterDelay | Maximum delay in RTP timestamp units
  timeUnits | Time units, usually 8 or 16
  stackSize | Stack size for jitter thread

## Member Function Documentation

virtual PBoolean RTP_JitterBuffer::OnReadPacket | ( | RTP_DataFrame & | frame,
|  | PBoolean | loop |
| ) |  |  | `[virtual]`

This class instance collects data from the outside world in this method.

Returns:
  PTrue on successful read, PFalse on faulty read.

Parameters:

  frame | Frame read from the RTP session
  loop | If PTrue, loop as long as data is available, if PFalse, only process once

Implements OpalJitterBuffer.

## Member Data Documentation

RTP_Session& RTP_JitterBuffer::session `[protected]`

This class extracts data from the outside world by reading from this session variable

The documentation for this class was generated from the following file:

- jitter.h